# -*- Mode: Perl -*-
# t/03_text.t -- test text read/write

$TEST_DIR = './t';
#use lib qw(../blib/lib); $TEST_DIR = '.'; # for debugging

# load what we'll need
use Data::FStructure;
use Data::FStructure::pretty;
do "$TEST_DIR/common.plt";

plan(test => 5);

# 1
isok('new',($fs = Data::FStructure->new));
# 2
isok('from_text',$fs->from_text('[(moo) isa: [(cow) isa: [(bovine)]]]'));
# 3
isok('as_text',$fs->as_text);
# 4
$s = '[ (moo) isa: [ (cow) isa: [ (bovine) ] ] ]';
isok('from_string...as_string [simple]',$fs->from_string($s)->as_string eq $s);
# 5
$s = '[ =1 (true) arg: [ (false) arg: [ =1 ] ] ]';
isok('from_string...as_string [tagged]',$fs->from_string($s)->as_string eq $s);


print "\n";
# end of t/03_text.t

