use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile
  (
   NAME         => 'Data::FStructure',
   VERSION_FROM => 'lib/Data/FStructure.pm', # finds $VERSION
   AUTHOR       => 'Bryan Jurish <jurish@ling.uni-potsdam.de>',
   ABSTRACT     => 'Perl classes for typed feature structures',
   PREREQ_PM    => {
		    # for Data::FStructure::Base
		    'Math::PartialOrder' => 0.01,
		    #'Set::Hashed' => 0.07,
		    'Class::ISA' => 0.32,
		    # for Data::FStructure::Tied
		    Tie::Hash => 0,
		    # for Data::FStructure::arydelta
		    List::Util => 1.06,
		    # for Data::FStructure::pretty
		    'Text::Balanced' => 1.77,
		    'GraphViz' => 1.3,
		    'File::Temp' => 0.12
		   },
  );
